## WebKitDOMStyleMedia

WebKitDOMStyleMedia

## Functions

gboolean | webkit_dom_style_media_match_medium ()

## Properties

gchar * | type | Read

## Types and Values

| WebKitDOMStyleMedia

## Object Hierarchy

        GObject
        ╰── WebKitDOMObject
            ╰── WebKitDOMStyleMedia

## Description

## Functions

### webkit_dom_style_media_match_medium ()

    gboolean
    webkit_dom_style_media_match_medium (WebKitDOMStyleMedia *self,
                                         const gchar *mediaquery);

#### Parameters

self | A WebKitDOMStyleMedia |
mediaquery | A gchar |

#### Returns

A gboolean

## Types and Values

### WebKitDOMStyleMedia

    typedef struct _WebKitDOMStyleMedia WebKitDOMStyleMedia;

## Property Details

### The `“type”` property

      “type”                     gchar *

read-only gchar* StyleMedia:type.

Flags: Read

Default value: ""